Bug 49200 - [4.3] Notifier should check free space
[4.3] Notifier should check free space
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Notifier (univention-directory-notifier)
UCS 4.3
Other Linux
: P5 normal (vote)
: UCS 4.3-3-errata
Assigned To: Philipp Hahn
Arvid Requate
:
Depends on: 28232 28233
Blocks: 49194
  Show dependency treegraph
 
Reported: 2019-03-29 15:37 CET by Stefan Gohmann
Modified: 2019-04-04 06:39 CEST (History)
5 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 4: Minor Usability: Impairs usability in secondary scenarios
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 5: Blocking further progress on the daily work
User Pain: 0.229
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number: 2016080321000081, 2016071821000242, 2016070721000245
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2019-03-29 15:37:48 CET
It should be backprted to UCS 4.3 as well.

+++ This bug was initially created as a clone of Bug #28233 +++

+++ This bug was initially created as a clone of Bug #28232 +++

Um einen defekte transaction Datei o.รค. zu vermeiden sollte der Notifier bei einem vollen Dateisystem anhalten.
Comment 1 Stefan Gohmann univentionstaff 2019-03-29 15:40:27 CET
It should be released after Bug #49199 has been released.
Comment 2 Philipp Hahn univentionstaff 2019-04-03 09:40:46 CEST
[4.3-3] 90a7a61ce5 Bug #49200: univention-directory-notifier 13.0.1-11A~4.4.0.201904021722
 doc/errata/staging/univention-directory-notifier.yaml | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

[4.3-3] 34c318d464 Bug #49200 udn: Check available file system space
 .../univention-directory-notifier/debian/changelog |  6 ++++
 .../univention-directory-notifier/src/index-dump.c |  8 +++++-
 .../univention-directory-notifier/src/index.c      | 33 ++++++++++++++++------
 .../univention-directory-notifier/src/notify.c     | 25 ++++++++++++----
 4 files changed, 58 insertions(+), 14 deletions(-)

[4.3-3] 8672c6a6a1 Bug #49200 udn: Write index atomically
 .../univention-directory-notifier/src/index-dump.c | 22 +++++-----
 .../univention-directory-notifier/src/index.c      | 50 +++++++++++-----------
 .../univention-directory-notifier/src/index.h      | 11 ++++-
 3 files changed, 45 insertions(+), 38 deletions(-)

[4.3-3] 00db006992 Bug #49200 udn: Use 'transaction.index' by default
 management/univention-directory-notifier/src/index-dump.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

[4.3-3] 6964639ee8 Bug #49200 udn: Fix index types
 management/univention-directory-notifier/src/index-dump.c | 5 +++--
 management/univention-directory-notifier/src/index.c      | 2 +-
 management/univention-directory-notifier/src/index.h      | 2 +-
 management/univention-directory-notifier/src/notify.c     | 4 ++--
 4 files changed, 7 insertions(+), 6 deletions(-)

Package: univention-directory-notifier
Version: 12.0.1-14A~4.3.0.201904030912
Branch: ucs_4.3-0
Scope: errata4.3-3

[4.3-3] 38e9640083 Bug #49200: univention-directory-notifier 12.0.1-14A~4.3.0.201904030912
 doc/errata/staging/univention-directory-notifier.yaml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 3 Arvid Requate univentionstaff 2019-04-03 11:07:44 CEST
Verified:
* OK: git diff 4.3-3..4.4-0 management/univention-directory-notifier/src
* OK: Functional test
* OK: Advisory
* OK: ucs-test run in Jenkins single-master scenario:
      run_tests   -s checks -s base -s ucr -s univention-lib \
                  -s apache -s saml -s crypto -s ldap

Without the fix:
============================================================================
27.02.19 14:12:48.419  TRANSFILE   ( ERROR   ) : 1380 ldap_add(): Invalid syntax
[2]+  Abgebrochen             univention-directory-notifier -F -o -d 1
root@master10:/var/lib/univention-ldap# echo "$(tail -2 notify/transaction)"
1378 cn=backup11,cn=dc,cn=computers,dc=ar41i1,dc=qa m
1379 cn=backup11,cn=dc,cn
============================================================================

With the fix:
============================================================================
Failed fallocate(idx): No space left on device
[2]+  Abgebrochen             univention-directory-notifier -F -o -d 1
root@master10:/var/lib/univention-ldap# echo "$(tail -2 notify/transaction)"
1362 cn=backup11,cn=dc,cn=computers,dc=ar41i1,dc=qa m
1363 cn=backup11,cn=dc,cn=computers,dc=ar41i1,dc=qa m
============================================================================
Comment 4 Arvid Requate univentionstaff 2019-04-03 11:57:21 CEST
<http://errata.software-univention.de/ucs/4.3/468.html>